Base URL: https://demo-api.incodesmile.com — Incode demo environment
Send (OpenTok) conference event. Any connection issue caught by webapp could be reported using this call.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
get_version |
integer (int64) | ||
interviewId |
string | yes | Interview ID for which event is reported. |
opentokSessionId |
string | yes | Opentok session ID of current video conference. |
eventType |
string | yes | Opentok event type. Could be anything that Opentok sends, e.g. StreamDisconnected, StreamReconnected, VideoDisabled, VideoEnabled... |
details |
string | Any description that Opentok sends. | |
eventSource |
string | yes | Indicate event caught on customer or executive side. Enum: customer, executive |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |